Subject: Re: CCL:Energy conservation of molecular dynamics in the presence of electrostati

From: Richard Gillilan <[email-masked]>
Date: Fri, 7 Mar 2003 07:14:04 -0500

>
> I wonder if standard MD is the best choice for that kind of system. 
> Some
> adaptive step-size integrator that slows down only in case of 
> near-collisions
> might be better. Or perhaps even a scheme similar to those used for
> hard-sphere systems, where the time step is obtained by estimating the 
> time
> until the next collision.
> -- 
>

High-energy collisions would certainly require a smaller time step at 
the
moment of the collision, but at this time the van der Waal's repulsion
term should far outweigh any electrostatics at this close range since
it climbs as (1/r)^14.

I have often thought an adaptive, but symplectic  integration
scheme would be very useful. This kind of thing also happens
when I do rigid body mechanics on whole proteins in solution.
When proteins are far away you can take large time steps.
I believe this is the basic idea behind the RESPA method
developed by B. Berne and coworkers.
(see JCP 97 (3) pp1990-2001 (1992))

Richard